--------------------------------------------------------------------------------
--Tecnisa - Tecnologia em Informtica
--
--Nome: Atualiza_MoviEst
--
--Descrio:
--Aualiza_Insert_ItLanctoEst
--   Atualiza os campos CdFiliMovi, DtLancMovi da tabela de ItLanctoEst
--   a partir dos valores gravados nos campos similares da tabela LanctoEstoq.
--
--Aualiza_UpDate_LanctoEstoq
--   Atualiza o campo DtLancMovi da tabela de ItLanctoEst a partir
--   do valor gravado no campo similar da tabela LanctoEstoq.
--
-- @C:\Win_V4\Sql\End_Conv\Oracle\4005_ESTTRGO_ATUALIZA_MOVIEST.SQL
-- raise_application_error(-20501,V_IDTAXAADM, True);
-- Criao:
-- 16/07/99 - Roberto, Newton e Luiz Otvio(Sabar)
---------------------------------------------------------------------------------


--Atualiza_Insert_LanctoEstoq
CREATE OR REPLACE TRIGGER ATUALIZA_INSERT_LANCTOESTOQ BEFORE INSERT ON LANCTOESTOQ
FOR EACH ROW
DECLARE
   V_IDENTRSAIDOP TIPOOPERAC.IDENTRSAIDOP%TYPE;
   V_CDTIPOOPER   TIPOOPERAC.CDTIPOOPER%TYPE;
   V_IDNFRETIND   TIPOOPERAC.IDNFRETIND%TYPE;
BEGIN
   IF :NEW.IDENTRSAIDOP <> 'E' AND
      :NEW.CDTIPOOPER <> '10'  THEN
      BEGIN
         SELECT N.IDENTRSAIDOP, N.CDTIPOOPER, NVL(T.IDNFRETIND, 'N') AS IDNFRETIND
           INTO V_IDENTRSAIDOP, V_CDTIPOOPER, V_IDNFRETIND
           FROM NOTAFISCAL N, TIPOOPERAC T
          WHERE N.IDENTRSAIDOP = T.IDENTRSAIDOP
            AND N.CDTIPOOPER   = T.CDTIPOOPER
            AND N.CDFILIAL     = :NEW.CDFILIAL
            AND N.NRLANCTONF   = :NEW.NRLANCTONF;
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
            V_IDENTRSAIDOP := NULL;
            V_CDTIPOOPER   := NULL;
            V_IDNFRETIND   := 'N';
      END;

      IF (V_IDENTRSAIDOP IS NOT NULL) AND (V_CDTIPOOPER IS NOT NULL) THEN
         IF (V_IDNFRETIND = 'S') AND (:NEW.IDTPLANCTO = '4') THEN
            :NEW.IDENTRSAIDOP := NULL;
            :NEW.CDTIPOOPER   := NULL;
         ELSE
            :NEW.IDENTRSAIDOP := V_IDENTRSAIDOP;
            :NEW.CDTIPOOPER   := V_CDTIPOOPER;
         END IF;
      ELSE
         :NEW.IDENTRSAIDOP := V_IDENTRSAIDOP;
         :NEW.CDTIPOOPER   := V_CDTIPOOPER;
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('ATUALIZA_INSERT_LANCTOESTOQ','6.49.012'); END;
/
